Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.sax
Class ErrorHandlerImpl

    java.lang.Object
      convert.xml.sax.ErrorHandlerImpl

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public class ErrorHandlerImpl

extends java.lang.Object
implements org.xml.sax.ErrorHandler

Constructor Summary
`ErrorHandlerImpl()`
`ErrorHandlerImpl(java.io.OutputStream os)`
`ErrorHandlerImpl(java.io.Writer w)`

Method Summary
`void` | `close()`
`void` | `error(org.xml.sax.SAXParseException e)`
`void` | `fatalError(org.xml.sax.SAXParseException e)`
`void` | `print(java.lang.String message)`
`void` | `printException(java.lang.Throwable e)`
`void` | `warning(org.xml.sax.SAXParseException e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorHandlerImpl

    public ErrorHandlerImpl()

### ErrorHandlerImpl

    public ErrorHandlerImpl(java.io.OutputStream os)

### ErrorHandlerImpl

    public ErrorHandlerImpl(java.io.Writer w)

Method Detail

### close

    public void close()

### warning

    public void warning(org.xml.sax.SAXParseException e)
                 throws org.xml.sax.SAXParseException

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXParseException`

### error

    public void error(org.xml.sax.SAXParseException e)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXParseException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXParseException`

### printException

    public void printException(java.lang.Throwable e)

### print

    public void print(java.lang.String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD